package org.jeecg.modules.shop.captcha.service;


import org.jeecg.modules.shop.captcha.entity.SendSmsCaptchaDTO;
import org.jeecg.modules.shop.captcha.entity.VerifySmsCaptchaDTO;

public interface ICaptchaService {
    
    void sendSmsCaptcha(SendSmsCaptchaDTO dto);

    void sendNotifiedCaptcha(SendSmsCaptchaDTO dto);
    
    String verifySmsCaptcha(VerifySmsCaptchaDTO dto);

    void verifyToken(String captchaKey, String token);
    
    String getCaptcha(String captchaKey, int maxAccessCount);
    
    void clearCaptcha(String captchaKey);
    
}
